summaryrefslogtreecommitdiff
path: root/t/t6009-rev-list-parent.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t6009-rev-list-parent.sh')
-rwxr-xr-xt/t6009-rev-list-parent.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/t6009-rev-list-parent.sh b/t/t6009-rev-list-parent.sh
index 63fa7c8313..5a67bbc760 100755
--- a/t/t6009-rev-list-parent.sh
+++ b/t/t6009-rev-list-parent.sh
@@ -124,7 +124,7 @@ test_expect_success 'dodecapus' '
git checkout -b root$i five &&
test_commit $i &&
roots="$roots root$i" ||
- return
+ return 1
done &&
git checkout main &&
test_tick &&
@@ -142,8 +142,8 @@ test_expect_success 'ancestors with the same commit time' '
test_tick_keep=$test_tick &&
for i in 1 2 3 4 5 6 7 8; do
- test_tick=$test_tick_keep
- test_commit t$i
+ test_tick=$test_tick_keep &&
+ test_commit t$i || return 1
done &&
git rev-list t1^! --not t$i >result &&
test_must_be_empty result